Commit 82fa7ab6 authored by Kaarle Ritvanen's avatar Kaarle Ritvanen

main/ruby*: fix dependencies and update to latest possible versions

parent 61e53274
......@@ -2,13 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-actionmailer
_gemname=actionmailer
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Email on Rails"
url="http://rubygems.org/gems/actionmailer"
arch="noarch"
license="GPL"
depends="ruby ruby-actionpack ruby-mail"
depends="ruby ruby-actionpack ruby-actionview ruby-mail"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -33,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="c3826fd2fed7ae30a6b5c1025dc3f6a8 actionmailer-4.0.0.gem"
sha256sums="f34de9acd7fc7abf37630e6f69853cf5862dada19fc8feff6a1b50da5a85c334 actionmailer-4.0.0.gem"
sha512sums="fa5a6398e8284b79c4d863990642d0822409f7bcbdf1ef8252d92a505556c358507932bb7e61aa3c56d045d9a1ea8ecaf3349f64de150f802769495d2c193378 actionmailer-4.0.0.gem"
md5sums="04891f9cbfae2bd1cfb52222364acf1d actionmailer-4.1.8.gem"
sha256sums="da902a84004a401a19277191e2b7b37dc15545886fc5acda8c7b56bf366952f4 actionmailer-4.1.8.gem"
sha512sums="96516bead9bc76765900fb23155c91468a3b9cb6c9cb1b057e426cbf5140b2d1f427177fb70e1ba6d4ad632e16720e65ed90ab8eacee7403095ab7535908f473 actionmailer-4.1.8.gem"
......@@ -2,14 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-actionpack
_gemname=actionpack
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Eases web-request routing, handling, and response as a half-way front, half-way page controller"
url="http://rubygems.org/gems/actionpack"
arch="noarch"
license="GPL"
depends="ruby ruby-activemodel ruby-activesupport ruby-builder ruby-erubis
ruby-journey ruby-rack ruby-rack-cache ruby-rack-test ruby-sprockets"
depends="ruby ruby-actionview ruby-activesupport ruby-rack ruby-rack-test"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -34,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="b9511c7c31fba41f5e9121c1badedeb8 actionpack-4.0.0.gem"
sha256sums="8dc8e2849e0524edb34f1c7a12481a070531db07a2e47203a2e3548c5783a943 actionpack-4.0.0.gem"
sha512sums="2cbe1ffb9934f93a55357a1e30d67cee13b85878e3d68767fdc260d3ef111194d88bed3446a9e8e0cbc08ed7def698a9ca3a21dbc0ffd6692cd284a7be77a4dd actionpack-4.0.0.gem"
md5sums="9b935b76fd85c6768d31f35aef725308 actionpack-4.1.8.gem"
sha256sums="4fafecb112334ffd52c0f8c6de90ff0bd1d9d9c724fa19afc2b91e36f3f900a7 actionpack-4.1.8.gem"
sha512sums="7fd97bab61b18fe285c49aa30d5680b0c9257e4df635d063ca1144e75f1b0a2d4965d8d8272be7f3f875a4824ec89b78797ee55126e14ddf5c40c86188035bc2 actionpack-4.1.8.gem"
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
_gemname=actionview
pkgname=ruby-$_gemname
pkgver=4.1.8
pkgrel=0
pkgdesc="Simple, battle-tested conventions and helpers for building web pages"
url=http://rubyonrails.org/
arch=noarch
license=MIT
depends="ruby ruby-activesupport ruby-builder ruby-erubis"
makedepends=ruby
source=http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem
_builddir="$srcdir"/$_realname-$pkgver
build() {
return 0
}
package() {
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
mkdir -p "$pkgdir" || return 1
gem install --local --install-dir "$pkgdir"/$_gemdir \
--ignore-dependencies --verbose --no-rdoc --no-ri \
"$srcdir"/$_gemname-$pkgver.gem || return 1
rm -rf "$pkgdir"/$_gemdir/cache \
"$pkgdir"/$_geminstdir/ext \
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="797602a1b32598351dafa2d6578ec653 actionview-4.1.8.gem"
sha256sums="f3c5da68cce5cb2c221948994b68ba53f12c0adedc826655cf049b2cf00607a9 actionview-4.1.8.gem"
sha512sums="48db5f18c53ffedfdf98af9597eb31fe07107d2030971f6e875c414049c455c19b1fc49e700a43a95240330985abe832bf0b4f91b9e766b689f67fab4a3a4142 actionview-4.1.8.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-activemodel
_gemname=activemodel
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="A toolkit for building modeling frameworks"
url="http://rubygems.org/gems/activemodel"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="6d81217b82d5451798dfc8e727059604 activemodel-4.0.0.gem"
sha256sums="a2961ce7a5926365f9217dab24fc0437d503eb8e37d21fa17d3f3bafff2a586f activemodel-4.0.0.gem"
sha512sums="5ba27377252870b3384f88e1585023346cd5594d8775d1e2f0800c76811ec5ca7ed27fd8a0d2e6315a301457afb6a3b4b3dcae9b7407fb5c061c00c186b32828 activemodel-4.0.0.gem"
md5sums="e9f11998bc155e9bc823d6021000e064 activemodel-4.1.8.gem"
sha256sums="05771518a47078abb1336b4fbffb7b2f084da6978871fe85fbaee6128e3172ff activemodel-4.1.8.gem"
sha512sums="b78a7d9e6a0ad454556d9b67cb15673a0c3ec67c917be12cfa674298457a4755f320881760b821c425a45220d0164d4beda2a9a72f2ab35b7fd8367c932c5dc7 activemodel-4.1.8.gem"
......@@ -2,13 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=activerecord
pkgname=ruby-$_gemname
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Ruby ActiveRecord pattern (Fowler, PoEAA) for ORM"
url="http://rubygems.org/gems/activerecord"
arch="noarch"
license="GPL"
depends="ruby ruby-activemodel ruby-activesupport ruby-arel ruby-tzinfo"
depends="ruby ruby-activemodel ruby-activesupport ruby-arel"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -33,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="9445ee60b7a9f218ba1400f63cfa2b01 activerecord-4.0.0.gem"
sha256sums="429c4c65625868a82ca1a0752c9580015c0f63cf21af08fd107f8a13c0d21352 activerecord-4.0.0.gem"
sha512sums="1085400094beb3f6b55c7346a5cba29b3fa58496e160ede23bde46a9fc8a679e6abdae13831588065e81ed4c7b60afa54cfdcb885a65d5631e5c0214d3d796b7 activerecord-4.0.0.gem"
md5sums="664c3375e7ee39aef3a1b24eced6bb9e activerecord-4.1.8.gem"
sha256sums="4f309f06cc0af80ac33da5518cc08c60e80e959585ad50f095a9dcdba6f6af5a activerecord-4.1.8.gem"
sha512sums="9c9882e13f47b80b6b2bf4e0b9b267a04673c8b421cf632b08f7078f98ccb0b42d0e0831290626862a3fbf893a697adf34e94c3ca007cd26be70b7d4ab2eba2b activerecord-4.1.8.gem"
......@@ -3,12 +3,12 @@
_gemname=activeresource
pkgname=ruby-$_gemname
pkgver=4.0.0
pkgrel=1
pkgrel=2
pkgdesc="REST on Rails"
url="http://rubygems.org/gems/activeresource"
arch="noarch"
license="GPL"
depends="ruby ruby-activemodel ruby-activesupport"
depends="ruby ruby-activemodel ruby-activesupport ruby-rails-observers"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......
......@@ -2,13 +2,14 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-activesupport
_gemname=activesupport
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Utility classes and extension to the standard library"
url="http://rubygems.org/gems/activesupport"
arch="noarch"
license="GPL"
depends="ruby ruby-i18n ruby-multi_json"
depends="ruby ruby-i18n ruby-json ruby-rails-minitest ruby-thread_safe
ruby-tzinfo"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -33,6 +34,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="ef0727e4446ab141dfe3d350ec663c03 activesupport-4.0.0.gem"
sha256sums="bac5915af0e0bb115f36443f0a378431584dbc958f51506f4ed96c08e59efd29 activesupport-4.0.0.gem"
sha512sums="355a88c9cc20e73cc1c0290cf90cd25bf873ae68a2cf9a6d185dd9469e9ca9c27b7f6ad209d8f2984094c464a9fe3660cbdea6bf213fec27e7c6cd3fb96689be activesupport-4.0.0.gem"
md5sums="de53e762334f0a63269b862e81e1f17e activesupport-4.1.8.gem"
sha256sums="192ddc192011bdfc9a892eda806ceb19c6515aadacfe4ca06270ce8a25315c04 activesupport-4.1.8.gem"
sha512sums="544e182c60fe86f192d2f448bde28dc796057de00919581d78ededc1d2f16766291157f2f8cff8f0aaccd21eb09683a3546ea4660d3c31f8c4e7a66c1e9d9167 activesupport-4.1.8.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=arel
pkgname=ruby-$_gemname
pkgver=4.0.0
pkgrel=1
pkgver=5.0.1.20140414130214
pkgrel=0
pkgdesc="a SQL AST manager for Ruby"
url="http://rubygems.org/gems/arel"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="e6657014c055f9e4829a2bbd697123b3 arel-4.0.0.gem"
sha256sums="93c5b7f3a994cd489fb143548a281cecb66d1cf4e46ae36847e1920b257abfa7 arel-4.0.0.gem"
sha512sums="c66f5483d6f41b7d8074f47a8a6b94000f92fe5bfe0f0e648a55bebab9c28f7109c311da3730fbd0a240463a2deed495f572a1ca5179a20496a4327af32fda25 arel-4.0.0.gem"
md5sums="e4136ab2f2a7dae5979b6769e3f1ad18 arel-5.0.1.20140414130214.gem"
sha256sums="c941f07bad89af26e8837c73d8a399b7777c721609f759eda015ed0081601636 arel-5.0.1.20140414130214.gem"
sha512sums="9f4c768712492ef8f7a938d89ce9c54c4e7c7ec2ff53ee52d5d12f0cefd7960895049f112b772864d034a4419acab91511173ddaab70a9f3d4027899af150011 arel-5.0.1.20140414130214.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=bundler
pkgname=ruby-$_gemname
pkgver=1.3.5
pkgrel=3
pkgver=1.7.7
pkgrel=0
pkgdesc="Manage an application's gem dependencies"
url="http://gembundler.com/"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="b835af023d3e0dbe56b6fcc3841c90a6 bundler-1.3.5.gem"
sha256sums="08b89047f7b829f3e197a28fb1bde74c3f5cfea1552f99dfba237fee30eaffe4 bundler-1.3.5.gem"
sha512sums="ea3ca89b50692c575e342b695e72aaca536af9e37d2e9740017aa55dcb999759ee5c0cfba71d90ba3baf9da2ba580a3813cdfebe428f20bbb7a86f1158409236 bundler-1.3.5.gem"
md5sums="722b87b9ff48c0dbf0858a21378e63c1 bundler-1.7.7.gem"
sha256sums="b0bdf77f8150d013bae6958df4be016c98c85da774aeab5a42f9533b469321a4 bundler-1.7.7.gem"
sha512sums="5491f6ea6edf8095007d8a4dc60db53765803e105dbdaf194af8cd5aa987731b686d75ae43ea02c20ff3fbd00ecf34f4aae8a7153a9514293cec3e496d800af6 bundler-1.7.7.gem"
......@@ -2,8 +2,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-i18n
_gemname=i18n
pkgver=0.6.9
pkgrel=1
pkgver=0.6.11
pkgrel=0
pkgdesc="Internationalization support for Ruby"
url="http://rubygems.org/gems/i18n"
arch="noarch"
......@@ -33,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="2ee80a0d22ccddf868e1437d9e3dfc00 i18n-0.6.9.gem"
sha256sums="1cd368e0b3854e8067955643892b18040e1d17f3c768daef8901298222e88e5d i18n-0.6.9.gem"
sha512sums="8bb28578bfe121f293058a6ca99ba8e87195b2735f084190e5096655b7eee5ed44751bb56dde823e5ee8094668e93958af4999642308c5b7189d95dd892a3b63 i18n-0.6.9.gem"
md5sums="d414d41965c53b119341ff3b474340ae i18n-0.6.11.gem"
sha256sums="b37dda25b30484f2674a851e24ae098a38564a61c976fa91a34bf8fceaa3923b i18n-0.6.11.gem"
sha512sums="f3c26c13b333daed69dc044985816d79a27a489c860caaa03cd64b3ff31e3ea65aa850dd581162a264d0b0bb6bc383b12cb96c1a97d5d1d04bee45517a48b721 i18n-0.6.11.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=jquery-rails
pkgname=ruby-$_gemname
pkgver=3.0.4
pkgrel=1
pkgver=3.1.2
pkgrel=0
pkgdesc="jQuery and the jQuery-ujs driver for Rails 3"
url="http://rubygems.org/gems/jquery-rails"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="2ead8237dbd91edf691aa94b51ee8efa jquery-rails-3.0.4.gem"
sha256sums="55aade13e34c6c2c6862faef2ea82ff33d12bc010dd0fa9550fd839628ab234c jquery-rails-3.0.4.gem"
sha512sums="6f38f3edf6997380c03de6be02c5c67207c228ceb7ea537dfc0c46299d8183eaf6787a55bbdd031dcde9f60c4554f6f0a9f212c4954de5cf629cbc0fe618c251 jquery-rails-3.0.4.gem"
md5sums="ff7754d827016805bcf1c950ce6eb980 jquery-rails-3.1.2.gem"
sha256sums="7ee42bba07bb858c11d81da798c2bfa3641b5afad5d420445b55d0118b29aa40 jquery-rails-3.1.2.gem"
sha512sums="b6beb89fff8fdcb29d8a26da1ce0e82073f18a9643886e9367e7021a65ae8d80080a969b6146d4dea8ebd0a7b6af94fadda56c5a2fc52cd68cfbc2cb0edc1335 jquery-rails-3.1.2.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=json
pkgname=ruby-$_gemname
pkgver=1.8.0
pkgrel=1
pkgver=1.8.1
pkgrel=0
pkgdesc="JSON implementation as a Ruby extension in C"
url="http://json-jruby.rubyforge.org/"
arch="all"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="c06a3060434889b82d73a26999ee1478 json-1.8.0.gem"
sha256sums="87e49cccff3fb2091c53141a605956e8d9a252cda43128714f9fdb51d0ca1729 json-1.8.0.gem"
sha512sums="7a8ae0d975e10be06d1026df6c9736e8e724814ea7ef8c92b512c60fd7b4ac18e46a9f44615f57407e58decebc4891e2e97b78a177f7e283cc540619264c4400 json-1.8.0.gem"
md5sums="d53582f76c34719aa815b0336beeb0a9 json-1.8.1.gem"
sha256sums="961bfbbfa9fda1e857e9c791e964e6664e0d43bf687b19669dfbc7cdbc5e0200 json-1.8.1.gem"
sha512sums="ad729c00a9f7b4940e077a151a1e74f054d9df5bff8bac996634b3df3eb42ad7c732035c4bbb40de92816c3989339b113c4fecebd36ee3f5c301b76169fe4fb7 json-1.8.1.gem"
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
_gemname=kgio
pkgname=ruby-kgio
pkgver=2.8.0
pkgrel=1
pkgver=2.9.2
pkgrel=0
pkgdesc="Provides non-blocking I/O methods for Ruby"
url="http://bogomips.org/kgio"
arch="all"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="472ad90681952ff657eb09a97a778bb5 kgio-2.8.0.gem"
sha256sums="88cd71faf232ba4034e2bb7c86160cafa9ea06a0ec7bf35d57cfee2d46d12a72 kgio-2.8.0.gem"
sha512sums="0505f51a9478ba7d67c029dfbc4075aca028605d4ca035d0385371c55340cfd3b923d2e5dc026d2a7d1bdf72ecdcc203d362296af041fd13d50cfc99782e6cc8 kgio-2.8.0.gem"
md5sums="6ae37a3af82d36da1efd7670e0b2003b kgio-2.9.2.gem"
sha256sums="42f0cdeb3e508e67e33b65b7c0b52fb1def349aef0d8806542d1f137b3fe468f kgio-2.9.2.gem"
sha512sums="4a8c2eb0c01bc17134443333ecfe09389c49b02aef03b822bce39fab2fc772ecaf1a6a9021ebe7c08fb2a6abee3e787959e1feed36f51acf90c95fdce8540b3c kgio-2.9.2.gem"
......@@ -2,12 +2,12 @@
_gemname=mail
pkgname=ruby-$_gemname
pkgver=2.5.4
pkgrel=1
pkgrel=2
pkgdesc="A really Ruby Mail handler"
url="http://github.com/mikel/mail"
arch="noarch"
license="MIT"
depends="ruby ruby-i18n ruby-mime-types ruby-treetop"
depends="ruby ruby-mime-types ruby-treetop"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=metaclass
pkgname=ruby-$_gemname
pkgver=0.0.1
pkgrel=2
pkgver=0.0.4
pkgrel=0
pkgdesc="Adds a metaclass method to all Ruby objects"
url="http://github.com/floehopper/metaclass"
arch="noarch"
......@@ -32,4 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="563290373717a06691561ed1b5786a1b metaclass-0.0.1.gem"
md5sums="d1be0d91647fe95df6232b30a2813bec metaclass-0.0.4.gem"
sha256sums="8569685c902108b1845be4e5794d646f2a8adcb0280d7651b600dab0844fe942 metaclass-0.0.4.gem"
sha512sums="67326faf2384e53a2a1096f499cb6af35e5a7d5928eefeef81bae0519739aef78da6e196b62e904fb3247dd09d1bb3411e227473c155e7a8c20420408107e325 metaclass-0.0.4.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=mocha
pkgname=ruby-$_gemname
pkgver=0.14.0
pkgrel=1
pkgver=1.1.0
pkgrel=0
pkgdesc="Mocking and stubbing library with JMock/SchMock syntax"
url="http://gofreerange.com/mocha/docs"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="c2ab792c0a505b41999736510cae63cf mocha-0.14.0.gem"
sha256sums="4bb00fdc69d628b15ad2b89ca6f490aaf92486f640282b8943fe3b43dee9a145 mocha-0.14.0.gem"
sha512sums="918e45f2ee761c7dc399c7958e4d406f9e186c90f479fd01a421aa542944b47e9b2c5e938f4fc5292a7da345726447b2d47dc5f417e114201f8a4d9893c4d461 mocha-0.14.0.gem"
md5sums="191449b906fcffca8526f1203028b8e2 mocha-1.1.0.gem"
sha256sums="f1d3385b5bed21bdcdcb9d26fd10139b2c7a67b1572e789ec014edf5acadf680 mocha-1.1.0.gem"
sha512sums="5a07c8364ae649a6be821c4b61c349d79e1dbf1e574ed95b07848f5dae3a2860e2f2e06499fc15b8352ec2146f273cc40ee8e65e670214f0f0669b6eedf698bb mocha-1.1.0.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-multi_json
_gemname=multi_json
pkgver=1.7.9
pkgrel=1
pkgver=1.10.1
pkgrel=0
pkgdesc="A gem to provide easy switching between different JSON backends"
url="http://rubygems.org/gems/multi_json"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="09c395260eb458b57cfc6bfd193c4fe8 multi_json-1.7.9.gem"
sha256sums="9dc51bc48d215c74729546fda11f02e2a0acf24f6182e47574146ac458a323e0 multi_json-1.7.9.gem"
sha512sums="857d957e02242f08783cbb77addab4895222d57eba6458cc077857a5dca37df300b452071973a2f0d6bb1c9b62b42a7589f8c3ad9e2b70de8c554617983cb79c multi_json-1.7.9.gem"
md5sums="2c7f05f155e936a9f95caa84b9e023c9 multi_json-1.10.1.gem"
sha256sums="2c98979877e87df0b338ebf5c86091b390f53d62c11a8232bd51ca007e0b82d2 multi_json-1.10.1.gem"
sha512sums="50cc7a0b856b3313e7b9d5237f598eb8fa048072924fbe470d44276ae5e82e1abc6adc6ad1182116f1a16692e919960643b28bd6d4de6d0251b65a51a86940d0 multi_json-1.10.1.gem"
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=ruby-mysql2
_gemname=mysql2
pkgver=0.3.13
pkgrel=1
pkgver=0.3.17
pkgrel=0
pkgdesc="A simple, fast Mysql library for Ruby, binding to libmysql"
url="https://github.com/brianmario/mysql2"
arch="all"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="ee8dfc03421a1db9f6147d2efde7ced8 mysql2-0.3.13.gem"
sha256sums="2db9bc0d2abf6b505625984300c74705cdd6a0464404095499d728cc897d307d mysql2-0.3.13.gem"
sha512sums="f0e077188bdc33386ae97142a9f0af1a7796aecabb958c65dafc7405304f044d8781b4876030968ded298a0387b7693bf07bf56c5d7dfcd09134991b23f98dc1 mysql2-0.3.13.gem"
md5sums="a94a0945c69e69b8f6d93ca945ef2357 mysql2-0.3.17.gem"
sha256sums="c69c5f08532cdd58e5f7dccaad7ac132edaa271dd2c8d69711cf5ce3c8f858e1 mysql2-0.3.17.gem"
sha512sums="bf3e818fa6a2396706b5078ab6a426ce22e7a24ca8e0ba310e831ed1887f9d6688084d99af34111f6447f089a2bf1364dd641434b61add9778eed5c4ce2d270e mysql2-0.3.17.gem"
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
_gemname=net-ldap
pkgname=ruby-net-ldap
pkgver=0.3.1
pkgrel=2
pkgver=0.9.0
pkgrel=0
pkgdesc="Ruby ldap client"
url="http://rubyldap.com/"
arch="noarch"
......@@ -32,4 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="96c39c91619446256936b3c81b554c93 net-ldap-0.3.1.gem"
md5sums="9533de73631a48a21f4e568b63d3d141 net-ldap-0.9.0.gem"
sha256sums="2331c7e760cfb30b4a67cc0c04d7b1b4d7822d69a5c1d0ec430b113f34b4c1e5 net-ldap-0.9.0.gem"
sha512sums="7101501035aa937bf516bab7f7c8cf96194c7426d0195d677c830879b7601d3a0caeb13c4592ed1b528454d340e9c6c24b3f8feef67a1e32c19c4a2da90538f7 net-ldap-0.9.0.gem"
......@@ -2,8 +2,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-openid
_gemname=ruby-openid
pkgver=2.2.3
pkgrel=1
pkgver=2.6.0
pkgrel=0
pkgdesc="OpenID support for Ruby"
url="http://rubygems.org/gems/openid"
arch="noarch"
......@@ -33,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="eabbd876d2e5ee17f4e136971340fcd7 ruby-openid-2.2.3.gem"
sha256sums="0ddf69532c1f43a7045d8040cb0bd9f806c5b605c7d4f93c50fc5dab256508e8 ruby-openid-2.2.3.gem"
sha512sums="4d98a24f68ec0ba47427275984b038ca75657233eaafbd6b36ffec300b0ab4930444c069ff8e2af502e85da69954725e23b1b04da25c933fa941a7d5f20403bf ruby-openid-2.2.3.gem"
md5sums="6c02f4dbf316cc3ec47a09cacac4bf6a ruby-openid-2.6.0.gem"
sha256sums="b57d81b2fe44094fc007465cbee7f665f4acd87c9d4d38ea626d0aa942ef65f7 ruby-openid-2.6.0.gem"
sha512sums="dfa9ceaf8f7fa078aa2e42f8e00622f6a80216b5c3777b8e75ab0e31f6a83de72975dc9ff3416cb4b29e129a4f99953ac7a8b0335ac9b401938332cca5739276 ruby-openid-2.6.0.gem"
......@@ -2,8 +2,8 @@
# Maintainer:
pkgname=ruby-pg
_gemname=pg
pkgver=0.16.0
pkgrel=1
pkgver=0.17.1
pkgrel=0
pkgdesc="PostgreSQL API module for Ruby"
url="http://rubygems.org/gems/ruby-pg"
arch="all"
......@@ -33,6 +33,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="79d6a173133e30eb50c7f36ba5b633d0 pg-0.16.0.gem"
sha256sums="bc61cb76c2158a016cb24266fbaf2856cae1724bff982a4056d3609d539ddfdc pg-0.16.0.gem"
sha512sums="e382ab7eb51177b8848597f7d8c860b38b8c6f53d9d620f07ff4ca09489582e4b55fab15812e465434fc3b744d6e46e00c8c140ec0da3f255247cf7f4ee07584 pg-0.16.0.gem"
md5sums="0e81551ebe2d8504e99abcf29b243857 pg-0.17.1.gem"
sha256sums="e7933e8f7f184c28e820ed85ddfb3ad8a13933b2b2ab8656aa8f81cb0aa610a6 pg-0.17.1.gem"
sha512sums="fb637256d084af3b41ba4130f866924df957a63c29d029b99995bf553e545b3d4064e682b00d0604bf495a853a8800b9c8eba34718e96c651c9a697281ae4a62 pg-0.17.1.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=polyglot
pkgname=ruby-$_gemname
pkgver=0.3.3
pkgrel=2
pkgver=0.3.5
pkgrel=0
pkgdesc="Augment 'require' to load non-ruby file types"
url="https://github.com/cjheath/polyglot"
arch="noarch"
......@@ -32,4 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="01e313080095caf4dc7ab71fd572a377 polyglot-0.3.3.gem"
md5sums="5fff8b0cfb2b36d885b90d271802a7c5 polyglot-0.3.5.gem"
sha256sums="59d66ef5e3c166431c39cb8b7c1d02af419051352f27912f6a43981b3def16af polyglot-0.3.5.gem"
sha512sums="405790c8edf5a98010334a62f7efeddd60f6dcff91ad5ff599579be3201a7e1b359787da59523a612fed5ccf8385116865316fa8872f0350e33dc078410a54cf polyglot-0.3.5.gem"
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
_gemname=rack-openid
pkgname=ruby-rack-openid
pkgver=1.3.1
pkgrel=2
pkgver=1.4.2
pkgrel=0
pkgdesc="Provides a more HTTPish API around the ruby-openid library"
url="https://github.com/josh/rack-openid"
arch="noarch"
license="MIT"
depends="ruby ruby-rack"
depends="ruby ruby-openid ruby-rack"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -32,4 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="e452612b2ecc2546841f873a6ee3a9d3 rack-openid-1.3.1.gem"
md5sums="86caa946de1badc1dd096357855a6fec rack-openid-1.4.2.gem"
sha256sums="8cd2305e738463a7da98791f9ac4df4cf3f6ed27908d982350430694ac2fe869 rack-openid-1.4.2.gem"
sha512sums="4496d7832c2978c6613be050be0d65611b6ce9b5687db4dcf4cd2d81e7161d68073d2958169284414bedc0859f2bb3b4ebdf21e6e3e9e3d54931b075dcfbe77f rack-openid-1.4.2.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=rack-ssl
pkgname=ruby-$_gemname
pkgver=1.3.3
pkgrel=1
pkgver=1.4.1
pkgrel=0
pkgdesc="Rack middleware to force SSL/TLS"
url="https://github.com/josh/rack-ssl"
arch="noarch"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="034eb2ea5efa201a2bd94083f9834fee rack-ssl-1.3.3.gem"
sha256sums="2543d0f0cdb9520ba14ab5e4584673f751daa62054618d14d7f91ea4c3917566 rack-ssl-1.3.3.gem"
sha512sums="cc871d07994795e063bd3974062b6a0bdc5d7653f4df9892b15f5bab3f05e43468a06f14b7b7d956382cda3c55199d75aeabe85840660036e0ea47b8a31bc5ae rack-ssl-1.3.3.gem"
md5sums="3938e1e66436e69054584204d020bb9e rack-ssl-1.4.1.gem"
sha256sums="f7f9d359c13d563fd0fe3e4eced0b357d8ba0502c837839f7520502f27ee4130 rack-ssl-1.4.1.gem"
sha512sums="77eec500a973c86028d082edf3313ac220150dbe9b502958d8fd0829608c7de4ef8356534939543faa157d2dd57b755734f7fef927698f6acc1f8f3ecb8e737e rack-ssl-1.4.1.gem"
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
_gemname=minitest
pkgname=ruby-rails-$_gemname
pkgver=5.4.3
pkgrel=0
pkgdesc="Ruby testing facilities"
url=https://github.com/seattlerb/minitest
arch=noarch
license=MIT
depends=ruby
makedepends=ruby
source=http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem
_builddir="$srcdir"/$_gemname-$pkgver
build() {
return 0
}
package() {
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
mkdir -p "$pkgdir" || return 1
gem install --local --install-dir "$pkgdir"/$_gemdir \
--ignore-dependencies --verbose --no-rdoc --no-ri \
"$srcdir"/$_gemname-$pkgver.gem || return 1
rm -rf "$pkgdir"/$_gemdir/cache \
"$pkgdir"/$_geminstdir/ext \
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="faddd44292d7a12615230b8d034deb3a minitest-5.4.3.gem"
sha256sums="a41b54b1c6e64b102fe78bf265045896845c38177a10bdb32d04caf4e06542f3 minitest-5.4.3.gem"
sha512sums="2a2df1502e449732d39da377c262d8c481e5b6399b39781c5d55fb0c3065f3dc4cdd326794a16731b2dbc970c40b4dc1399929913fcc2dd1f8ffb1f78df81a9f minitest-5.4.3.gem"
# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
# Maintainer: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
_gemname=rails-observers
pkgname=ruby-$_gemname
pkgver=0.1.2
pkgrel=0
pkgdesc="Rails observer"
url=http://rubyonrails.org/
arch=noarch
license=MIT
depends="ruby ruby-activemodel"
makedepends=ruby
source=http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem
_builddir="$srcdir"/$_realname-$pkgver
build() {
return 0
}
package() {
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
mkdir -p "$pkgdir" || return 1
gem install --local --install-dir "$pkgdir"/$_gemdir \
--ignore-dependencies --verbose --no-rdoc --no-ri \
"$srcdir"/$_gemname-$pkgver.gem || return 1
rm -rf "$pkgdir"/$_gemdir/cache \
"$pkgdir"/$_geminstdir/ext \
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="346b2722bcef9e6bda14c1567acad58d rails-observers-0.1.2.gem"
sha256sums="9e71de73929a9a7e8cde83c041989bbb25914f84047ce15dde37eefa650a5cd3 rails-observers-0.1.2.gem"
sha512sums="f3852626ee5bea57873a774e805c9648c086c63459e9bc469cb7aaae1a5c60370b3a2105250637ca99a1fa10e121178bf1ff9dad05eecb8679e1ab8c7a026928 rails-observers-0.1.2.gem"
......@@ -2,14 +2,15 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=rails
pkgname=ruby-rails
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Ruby full-stack web framework"
url="http://rubyonrails.org/"
arch="noarch"
license="MIT"
depends="ruby ruby-actionmailer ruby-actionpack ruby-activerecord
ruby-activeresource ruby-activesupport ruby-bundler ruby-railties"
depends="ruby ruby-actionmailer ruby-actionpack ruby-actionview
ruby-activemodel ruby-activerecord ruby-activesupport ruby-bundler
ruby-railties ruby-sprockets-rails"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -34,6 +35,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="b82ed996085c4cad1134b00e27472fe2 rails-4.0.0.gem"
sha256sums="6eabebfbe7dcdabeddf69356f84cec3d78e395b08aa1de700e265f7cbff8028b rails-4.0.0.gem"
sha512sums="0ba7cff750ba6c1b307f58e3ec45f097a46a6fd4f96b8619e7ad9d7db39f20a6693b93aff56a3f36493daa39103cc5091fa0262b77e93445e6556044e6c0a7ce rails-4.0.0.gem"
md5sums="6d6aadf030bc78540ab762784178efa0 rails-4.1.8.gem"
sha256sums="20f4a46c30dac40585721caf3b4b1c961a3cf425fd1ccbc6109ccd6df723599d rails-4.1.8.gem"
sha512sums="0817bcce4dc562547700027e3a98905362f770eecc8046b9aa4a0a24e710316a1fc89b55bb43cab8da31f1b183f39d0b5386b7607e0e8c671eeeecc3ce34052e rails-4.1.8.gem"
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
_gemname=railties
pkgname=ruby-$_gemname
pkgver=4.0.0
pkgrel=1
pkgver=4.1.8
pkgrel=0
pkgdesc="Rails internals: application bootup, plugins, generators, and rake tasks"
url="http://www.rubyonrails.org/"
arch="noarch"
license="MIT"
depends="ruby ruby-actionpack ruby-activesupport ruby-rack-ssl ruby-rake
ruby-rdoc ruby-thor"
depends="ruby ruby-actionpack ruby-activesupport ruby-rake ruby-thor"
depends_dev=
makedepends="$depends_dev ruby"
install=""
......@@ -33,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="2f1e894cd5391f4de00960e5fc729c78 railties-4.0.0.gem"
sha256sums="9e2e8cf21fae8ae7993bc956325075d05a6108f6dfab1ab205ffa055cef57e18 railties-4.0.0.gem"
sha512sums="7a9d5e25a446af8a3fd005d0f4991cb12442e1866f70d4dbb52bf8b8c0616187d0ac5797a9d6ff2f7438a09ab468f72d60fd84da26bc8d3d53a55de66e1652a0 railties-4.0.0.gem"
md5sums="55a5df742c200c49839102d3750469eb railties-4.1.8.gem"
sha256sums="d57ef8dfcf3db1dd794324b6abf7bf205fe1e90fc692f3adc7650492ff10309c railties-4.1.8.gem"
sha512sums="edc4f842a0884a8c6a774fc3882b4ce79c107821e7d1ae3a9bad2c21ac093cbec15fd9253fbbbf70b412f0c6daa449adddaebada8b6edcbdb06612b998e2ed33 railties-4.1.8.gem"
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
_gemname=raindrops
pkgname=ruby-raindrops
pkgver=0.12.0
pkgrel=1
pkgver=0.13.0
pkgrel=0
pkgdesc="A real-time stats toolkit to show statistics for Rack HTTP servers"
url="http://raindrops.bogomips.org"
arch="all"
......@@ -32,6 +32,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="6d57e13c38bcbc9f3dd4427f7beefdb5 raindrops-0.12.0.gem"
sha256sums="2077f24017dad9637bc4e20e77f3cc533054190516e9e330476678e3cc7a689a raindrops-0.12.0.gem"
sha512sums="0c2404de28fd43c8cb447c2d28c4b9e11298df338326eb86a29160afc43b78d3f6c1fb201694fe4222f0bd70b1387bccc89686bb555263790f12ce297698f1fb raindrops-0.12.0.gem"
md5sums="e159dc7f2e8e19fed7eee259460e9d4e raindrops-0.13.0.gem"
sha256sums="457c0280491a15b441a68f6271b1039f76c3eff79a55f2329eadf9cca38225ef raindrops-0.13.0.gem"
sha512sums="14c662319f030acf1664ecc6d51a3c2d002a96aa90eae7f5186a14b581ec2895b96ec2308025b51f19b9e133583bb3ece6cf07c4eeb434885b39d4ce12ede4a1 raindrops-0.13.0.gem"
......@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-redmine-actionmailer
_gemname=actionmailer
pkgver=3.2.19
pkgver=3.2.21
pkgrel=0
pkgdesc="Email on Rails"
url="http://rubygems.org/gems/actionmailer"
......@@ -34,6 +34,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="88ae7f86d4b8585a2108581145de6819 actionmailer-3.2.19.gem"
sha256sums="cd9f0b22f755b0adeae13cf949adaf63fa1c068c72d0a100572c6a11aecd3ba7 actionmailer-3.2.19.gem"
sha512sums="19c5271c909982ea3bbbf0a4aea9d2749725fda554823f4a5e85936de225072886d769b5d8cbd55e59e037752c69fb11e9c36ab5eb1d80fdc13ff987ad72990a actionmailer-3.2.19.gem"
md5sums="8a3c94634c962ceb9e4f31dc7e2b85da actionmailer-3.2.21.gem"
sha256sums="d5d197b886264770a0f3acf9a7a22fdec537e63f2764a05ca840b3dda7cdee41 actionmailer-3.2.21.gem"
sha512sums="62cf2a86c2f50e2683a2fd02d2ff4f82c38d9244a2e8263689299ac993be066f983d04cc80d425c56603c9cf609f6e1b35f552e9529548b645d3c5c5f57080ba actionmailer-3.2.21.gem"
......@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ruby-redmine-actionpack
_gemname=actionpack
pkgver=3.2.19
pkgver=3.2.21
pkgrel=0
pkgdesc="Eases web-request routing, handling, and response as a half-way front, half-way page controller"
url="http://rubygems.org/gems/actionpack"
......@@ -34,6 +34,6 @@ package() {
"$pkgdir"/$_geminstdir/.require_paths
}
md5sums="e44a409d81fd2b487b12850bcd10cf0d actionpack-3.2.19.gem"
sha256sums="c58ca2342aff2062f4f478551ce46d81918ac93200bc62d099764d2cd7499fcd actionpack-3.2.19.gem"
sha512sums="2c81658df5bded092833159a4d57f4cba387cd96cfae8948f2028cd3c59b50de70324d8638cc4381447e7d28795a3196d327f7697dae3b320ef47f3173cd3c86 actionpack-3.2.19.gem"
md5sums="95f286f829ec619e09b580f87f6b2d91 actionpack-3.2.21.gem"